function player_load()

	player = {
		x = screenWidth / 2,
		y = screenHeight / 2,
		img = love.graphics.newImage("data/img/player.png"),
		angle = 0,
		speed = 100
		}
	
	player.width = player.img:getWidth()
	player.height = player.img:getHeight()
	
end
function player_update(dt)

	local mousex = love.mouse.getX() + camera.x
	local mousey = love.mouse.getY() + camera.y
	
    player.angle = (math.atan2(mousey - player.y, mousex - player.x))
	
	if love.keyboard.isDown("a") then
		player.x = player.x - (player.speed * dt)
	elseif love.keyboard.isDown("d") then
		player.x = player.x + (player.speed * dt)
	end
	if love.keyboard.isDown("w") then
		player.y = player.y - (player.speed * dt)
	elseif love.keyboard.isDown("s") then
		player.y = player.y + (player.speed * dt)
	end

end
function player_draw()

	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.img,player.x,player.y,player.angle, 1, 1, player.width / 2, player.height / 2)
	
end
function player_mousepressed(x, y, button)

	if button == "l" then
		shooting = 1
		startX = player.x
		startY = player.y
		originx = love.mouse.getX() + camera.x
		originy = love.mouse.getY() + camera.y
		
		angle = math.atan2((originy - player.y),(originx - player.x))
		
		bulletDx = bulletspeed * math.cos(angle)
		bulletDy = bulletspeed * math.sin(angle)
		
		table.insert(bullets, {x = startX, y = startY, dx = bulletDx, dy = bulletDy})
	else
		shooting = 0
	end
	
end
function player_keypressed(key)
	
	if key == "lshift" then
		player.speed = 180
	end
	
end
function player_keypreleased(key)

   if key == "lshift" then
      player.speed = 100
   end
   
end