require "lib/player"
require "lib/settings"
require "lib/menu"
require "lib/bullet"
--require "lib/collision"
require "lib/camera"

bgimg = love.graphics.newImage('data/img/bg1.png')

function love.load()

	love.graphics.setBackgroundColor(255,255,255)
	
	love.mouse.setGrab(true)
	love.mouse.setVisible(false)
	
	player_load()
	bullets_load()
	
end	
function love.update(dt)

	mousexe = love.mouse.getX()
	mouseye = love.mouse.getY()

	player_update(dt)
	bullets_update(dt)
	--collision_detection()
	
	-- if mousexe + camera.x > player.x then
		-- camera.x = mousexe
	-- end
	-- if mousexe + camera.x < player.x then
		-- camera.x = mousexe
	-- end
	-- if mouseye + camera.y > player.y then
		-- camera.y = mouseye
	-- end
	-- if mouseye + camera.y < player.y then
		-- camera.y = mouseye
	-- end
		
	if mousexe + camera.x >= player.x + 25 then
		camera.x = player.x - screenWidth / 2 + 25
	end
	if mousexe + camera.x <= player.x - 25 then
		camera.x = player.x - screenWidth / 2 - 25
	end
	if mouseye + camera.x >= player.y + 25 then
		camera.y = player.y - screenHeight / 2 + 25
	end
	if mouseye + camera.x <= player.y - 25 then
		camera.y = player.y - screenHeight / 2 - 25
	end
	
end
function love.draw()
	
	camera:set()
	
	love.graphics.setColor(255,255,255)
	love.graphics.draw(bgimg, 0,0)
	player_draw()
	cursor_draw()
	bullets_draw()
		
	camera:unset()
	
end
function love.mousepressed(x, y, button)
	
	player_mousepressed(x, y, button)
	love.audio.play(shoot)
	
end
function love.keypressed(key)
	
	player_keypressed(key)
	
end
function love.keyreleased(key)

	player_keypreleased(key)

	if key == "escape" then
		love.event.push("quit")
	end
   
end